Bug 841938 - Make sure joysticks are supported for live games
Make sure joysticks are supported for live games
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 11:19 EDT by Bruno Wolff III
Modified: 2012-11-18 09:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 09:00:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-07-20 11:19:20 EDT
Description of problem:
Joystick support is now in kernel-modules-extra and needs to be modprobed to allow joysticks to work. Given the emphasis of the games spin, this makes sense to do. systemd can be used to do the module load by adding a config file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bruno Wolff III 2012-07-20 16:07:03 EDT
joydev is the joystick driver.
We also need a driver for joystick connections. analog and ns558 cover gameport cases. Serial port needs extra setup that doesn't seem worth trying to do at this point.
Then there are drivers specific to particular joysticks:
adi, sidewinder, grip, a3d, tmdc, cobra, gf2k, interact, lightning, pcigame, cs461x, emu10k1-gp.
Amiga joysticks aren't auto detected, so it's probably not worth trying them.
People messing with using parallel port to use console pads/joysticks probably isn't worth it either.
I need to test if just modprobing joydev is enough to get needed drivers loaded or if I need to load all drivers that might be used. (At home I just modprobe analog and things work for a gravis gamepad.)
Comment 2 Bruno Wolff III 2012-07-20 16:09:48 EDT
The modprobes should be put in a file under /etc/modules-load.d/ in post. This isn't packaged, so belongs in /etc. For packages doing modeprobes stuff should go under /usr/lib/modules-load.d/.
Comment 3 Bruno Wolff III 2012-07-20 16:16:14 EDT
i686 doesn't use PAE kernels for the live image so we can include just kernel-modules-extra in the package list.
Comment 4 Bruno Wolff III 2012-07-21 09:21:53 EDT
The following commit attempts to address this:
http://git.fedorahosted.org/git/?p=spin-kickstarts.git;a=commit;h=776252e75ab84cd05243d4fa9a3be3c6ea79701b

My test build using rawhide had some other issues, so this isn't really tested yet. I'll look at using the rawhide kickstart with an f17 repo to see if that will work for testing.
Comment 5 Bruno Wolff III 2012-07-21 20:20:16 EDT
I tested this using a f17 + updates for repos and it detected my game pad without me doing anything special.

I plan to rebuild the spin-kickstarts package shortly before alpha freeze and will leave this open until then.
Comment 6 Bruno Wolff III 2012-07-23 12:49:14 EDT
Working on this prompted me to propose a joystick-support package that I had been meaning to do for a while. The review request is bug 842386. But given my floppy-support package didn't generate much interest, I don't expect this one too either. Still, you might find it useful to be able to set up joystick support with a package rather than doing it in %post in a ks file.
Comment 7 Egon Kastelijn 2012-07-23 14:42:43 EDT
Hi Bruno,

Great work!
Let me know when you have some kind of a downloadable ISO somewhere.
I'll be happy to test the new (Logitech) X-input based gamepad support for you.

kind regards,

   Egon
Comment 8 Bruno Wolff III 2012-07-23 14:47:33 EDT
The live nightly composes have been hosed for a while. They were looked at today. They will eventually be available at: http://alt.fedoraproject.org/pub/alt/nightly-composes/ (There's links to build attempts now, but the builds are all failing. We'll need composes soon for QA to start testing, so I expect fixing builds to become a high priority item.
Comment 9 Egon Kastelijn 2012-11-18 08:28:27 EST
I downloaded the Fedora 18 Games Spin (Nightly Build) ISO, and the gamepad works nicely almost every game now!
Thanks for the great work.

Tested: 
* Dodgin' Diamond II
* Extreme Tux Racer
* Glaxium 
* Kobo Deluxe
* Powermanga

Only SuperTuxKart seems to have a problem.
The movement works, but the fire-buttons don't.
I believe this is a different issue, so (if I can reproduce it) I'll register a different bug for that.

   Egon
Comment 10 Bruno Wolff III 2012-11-18 09:00:55 EST
Thanks for testing this. At this point I think this can be closed.

Note You need to log in before you can comment on or make changes to this bug.